#!/usr/bin/python3

# Solution to Exercise 9: Python for Those with Programming Experience
# (c) Bruce Beckles 2012. Licensed under GPL v3.0

text1 = input('Number? ')
number = float(text1)

if number < 0.0:
    print('Number cannot be negative!')
    exit()
elif number < 1.0:
    lower = number
    upper = 1.0
else:
    lower = 1.0
    upper = number

text2 = input('Tolerance? ')
tolerance = float(text2)
if tolerance <= 5.0e-16:
    print('Tolerance must be greater than 5.0e-16!')
    exit()

uncertainty = upper - lower

while uncertainty > tolerance:
    middle = (lower + upper)/2
    if middle**2 < number:
        lower = middle
    else:
        upper = middle
    uncertainty = upper - lower

print(lower, upper)
