#!/usr/bin/python3

# Exercise 8: Python for Those with Programming Experience
# (c) Bruce Beckles 2012. Licensed under GPL v3.0

# Complete this script so that it calculates an interval
#  containing the square root of 2.0 by interval
#  bisection. The calculated interval must be no larger
#  than 1.0e-15. Make sure you add comments explaining
#  what the script is doing.

# NOTE THAT THIS SCRIPT WILL NOT RUN AS IT CURRENTLY STANDS.

in_number = 2.0
in_tolerance = 1.e-15

lower = 0.0
upper = in_number

tolerance = upper - lower
print('Interval of uncertainty: ', tolerance)


while(tolerance > in_tolerance):
    middle = (lower + upper)/2
#    print(middle, middle**2)
    
    if(middle**2 < 2.0):
        lower = middle
    else:
        upper = middle

#    print(lower, upper)
    tolerance = upper - lower
    print('Interval of uncertainty: ', tolerance)

print('Result: sqrt of ', in_number, ' = ', middle)
print('Done!')
