#!/usr/bin/python3

# Script from Python for Those with Programming Experience course
# (c) Bruce Beckles 2012. Licensed under GPL v3.0

"""Some utility functions
from the Python course
"""

def squares(limit):
    """Returns a list of
    squares from zero to
    limit**2.
    """
    answer = []
    for n in range(0,limit):
        answer.append(n**2)
    return answer


def total(numbers):
    """Returns the sum of
    a list.
    """
    sum_so_far = 0
    for number in numbers:
        sum_so_far += number
    return sum_so_far


def file_stats(filename):
    """Returns the number of lines,
    words and characters in filename.
    """

    text_file = open(filename, 'r')

    n_chars = 0
    n_words = 0
    n_lines = 0

    for line in text_file: 
        n_chars += len(line)
        n_words += len(line.split())
        n_lines += 1

    text_file.close()

    return (n_lines, n_words, n_chars)


