#!/usr/bin/python3

# Exercise 8: Python for Those with Programming Experience
# (c) Bruce Beckles 2012. Licensed under GPL v3.0

# Complete this script so that it calculates an interval
#  containing the square root of 2.0 by interval
#  bisection. The calculated interval must be no larger
#  than 1.0e-15. Make sure you add comments explaining
#  what the script is doing.

# NOTE THAT THIS SCRIPT WILL NOT RUN AS IT CURRENTLY STANDS.

min_tol = 5.e-16

print('This programme finds the square root of any desired (positive) number!')
text = input('Which number do you choose? ')
in_number = float(text)#2.0

if(in_number < 0.e0):
    print('you may choose only positive numbers!')
    exit()

text = input('Which precision do you want to achieve? ')
in_tolerance = float(text)#1.e-15

if(in_tolerance < min_tol):
    print('your tolerance has to be bigger than', min_tol, '!')
    exit()

lower = 0.0
upper = in_number

tolerance = upper - lower
print('Interval of uncertainty: ', tolerance)


while(tolerance > in_tolerance):
    middle = (lower + upper)/2
#    print(middle, middle**2)
    
    if(middle**2 < in_number):
        lower = middle
    else:
        upper = middle

#    print(lower, upper)
    tolerance = upper - lower
    print('Interval of uncertainty: ', tolerance)

print('Result: sqrt of ', in_number, ' = ', middle)
print('Done!')
