#!/usr/bin/python3

# Exercise 9: Python for Those with Programming Experience
# (c) Bob Dowling 2012. Licensed under GPL v3.0

# Edit this script so that it catches input of a negative
#   number.
# THEN edit the script to ask for the tolerance, which
#   must be bigger than 5.0e-16, and check that the input
#   tolerance is big enough

text = input('Number? ')
number = float(text)

if number < 1.0:
    lower = number
    upper = 1.0
else:
    lower = 1.0
    upper = number

tolerance = 1.0e-15
uncertainty = upper - lower

while uncertainty > tolerance:
    middle = (lower + upper)/2
    if middle**2 < number:
        lower = middle
    else:
        upper = middle
    uncertainty = upper - lower

print(lower, upper)
